---
title: Feed Beta API
description: "The **Feed Beta API** gives you the ability to: * Download an entire category of items from a specific eBay marketplace. * Download all the items listed in a specific day, category, and marketplace. * Download the item group variation information for an item * Curate the items off-line by item aspects, price, product, payment method, ship-to location, etc. * Keep the item information up-to-date using hourly feed files. * Track changes to the status of priority items within specified campaigns using daily priority item feed files. **Note:** This is a [![](https://developer.ebay.com/cms/img/docs/partners-api.svg \"Limited Release\")(Limited Release)](/api-docs/static/versioning.html#limited) API available only to select developers approved by business units. For information on how to obtain access to this API in production, see the [Buy APIs Requirements](/api-docs/buy/static/buy-requirements.html)."
api_version: 1.0
api_name: feed_beta_api
api_type: REST
api_group: buy/feed_beta_api
source_url:
  html: https://developer.ebay.com/develop/api/buy/feed_beta_api
  md: https://developer.ebay.com/develop/api/buy/feed_beta_api.md
---

# Feed Beta API API

The **Feed Beta API** gives you the ability to:

*   Download an entire category of items from a specific eBay marketplace.
*   Download all the items listed in a specific day, category, and marketplace.
*   Download the item group variation information for an item
*   Curate the items off-line by item aspects, price, product, payment method, ship-to location, etc.
*   Keep the item information up-to-date using hourly feed files.
*   Track changes to the status of priority items within specified campaigns using daily priority item feed files.

**Note:** This is a [![](https://developer.ebay.com/cms/img/docs/partners-api.svg "Limited Release")(Limited Release)](/api-docs/static/versioning.html#limited) API available only to select developers approved by business units. For information on how to obtain access to this API in production, see the [Buy APIs Requirements](/api-docs/buy/static/buy-requirements.html).

## API Methods

The following API methods are available:

### getItemFeed

#### GET /item
**Description:** This method lets you download a TSV\_GZIP (tab-separated value gzip) **Item** feed file. The feed file contains all the items from **all** the child categories of the specified category. The first line of the file is the header, which labels the columns and indicates the order of the values on each line. Each header is described in the [Response fields](/api-docs/buy/feed/resources/item/methods/getItemFeed#h3-response-fields) section.  
  
There are two types of item feed files generated:

*   A daily **Item** feed file containing all the newly listed items for a specific category, date, and marketplace (**feed\_scope** = `NEWLY_LISTED`)
*   A weekly **Item Bootstrap** feed file containing _all_ the items in a specific category and marketplace (**feed\_scope** = `ALL_ACTIVE`)

  
**Note:** Filters are applied to the feed files. For details, see [Feed File Filters](/api-docs/buy/static/api-feed_beta.html#Feed2). When curating the items returned, be sure to code as if these filters are not applied as they can be changed or removed in the future.  
**Note:** The downloaded file will be gzipped automatically, so there is no reason to supply **Accept-Encoding:gzip** as a header. If this header is supplied, the downloaded file will be compressed twice, and this has no extra benefit.

### **Downloading feed files**

Item feed files are binary gzip files. If the file is larger than 100 MB, the download must be streamed in chunks. You specify the size of the chunks in bytes using the [Range](#range-header) request header. The [Content-range](#content-range) response header indicates where in the full resource this partial chunk of data belongs and the total number of bytes in the file.For more information about using these headers, see [Retrieve a gzip feed file](/api-docs/buy/static/api-feed_beta.html#retrv-gzip).  
  
In addition to the API, there is an open source [Feed SDK](<https://github.com/eBay/FeedSDK >) written in Java that downloads, combines files into a single file when needed, and unzips the entire feed file. It also lets you specify field filters to curate the items in the file.  
  
**Note:** A successful call will always return a TSV.GZIP file; however, unsuccessful calls generate errors that are returned in JSON format. For documentation purposes, the successful call response is shown below as JSON fields so that the value returned in each column can be explained. The order of the response fields shows the order of the columns in the feed file.

### **Restrictions**

For a list of supported sites and other restrictions, see [API Restrictions](/api-docs/buy/static/api-feed_beta.html#API).
**Parameters:**
- **Accept** (string) *required*
  - The formats that the client accepts for the response.  
  
A successful call will always return a TSV.GZIP file; however, unsuccessful calls generate errors that are returned in JSON format.  
  
**Default:** `application/json,text/tab-separated-values`
- **X-EBAY-C-MARKETPLACE-ID** (string) *required*
  - The ID of the eBay marketplace where the item is hosted. This value is case sensitive.  
  
For example:  
  `X-EBAY-C-MARKETPLACE-ID = EBAY_US`  
  
For a list of supported sites see, [API Restrictions](/api-docs/buy/static/api-feed_beta.html#API).
- **Range** (string) *required*
  - This header specifies the range in bytes of the chunks of the gzip file being returned.  
  
**Format:** `bytes=_startpos_-_endpos_`  
  
For example, the following retrieves the first 10 MBs of the feed file.  
  
  `Range bytes=0-10485760`  
  
For more information about using this header, see [Retrieving a gzip feed file](/api-docs/buy/static/api-feed_beta.html#retrv-gzip).  
  
**Maximum:** 100 MB (10MB in the Sandbox)
- **feed_scope** (string) *required*
  - This query parameter specifies the type of feed file to return.  
  
**Valid Values:**

*   **NEWLY\_LISTED** - Returns the daily **Item** feed file containing all Good 'Til Cancelled items that were listed on the day specified by the **date** parameter in the category specified by the **category\_id** parameter.
*   **ALL\_ACTIVE** - Returns the weekly **Item Bootstrap** feed file containing all the Good 'Til Cancelled items in the category specified by the **category\_id** parameter.  
      
    **Note:** Bootstrap files are generated every Tuesday and the file is available on Wednesday. However, the exact time the file is available can vary so we recommend you download the Bootstrap file on Thursday. The items in the file are the items that were in the specified category on Sunday.
- **category_id** (string) *required*
  - This query parameter specifies the eBay top-level category ID of the items to be returned in the feed file.  
  
The list of eBay category IDs changes over time and category IDs are not the same across all the eBay marketplaces. To get a list of the top-level categories for a marketplace, you can use the Taxonomy API [getCategoryTree](/api-docs/commerce/taxonomy/resources/category_tree/methods/getCategoryTree) method. This method retrieves the complete category tree for the marketplace. The top-level categories are identified by the **categoryTreeNodeLevel** field.  
  
**For example:**  
  `"categoryTreeNodeLevel": 1`  
  
For details see [Get Categories for Buy APIs](/api-docs/buy/buy-categories.html).  
  
**Restriction:** Must be a top-level (L1) category other than Real Estate. Items listed under Real Estate L1 categories are excluded from all feeds in all marketplaces.
- **date** (string)
  - This query parameter specifies the date of the daily **Item** feed file (**feed\_scope**\=`NEWLY_LISTED`) you want to retrieve.  
  
The **date** is required only for the daily **Item** feed file. If you specify a date for the **Item Bootstrap** file (**feed\_scope**\=`ALL_ACTIVE`), the date is ignored and the latest file is returned. The date the **Item Bootstrap** feed file was generated is returned in the **Last-Modified** response header.  
  
The **Item** feed files are generated every day and there are 14 daily files available.  
  
**Note:** The daily **Item** feed files are available each day after 9AM MST (US Mountain Standard Time), which is -7 hours UTC time.  
  
There is a 48 hour latency when generating the **Item** feed files. This means you can download the file for July 10th on July 12 after 9AM MST.  
  
For categories with a large number of items, the latency can be up to 72 hours.  
**Format:** `yyyyMMdd`  
  
**Requirements:**

*   Required when **feed\_scope**\=`NEWLY_LISTED`
*   Must be within 3-14 days in the past

### getItemGroupFeed

#### GET /item_group
**Description:** This method lets you download a TSV\_GZIP (tab separated value gzip) **Item Group** feed file. An item group is an item that has various aspect differences, such as color, size, storage capacity, etc.  
  
There are two types of item group feed files generated:

*   A daily **Item Group** feed file containing the item group variation information associated with items returned in the [Item](/develop/api/buy/feed_beta_api#buy-feed_beta_api-item-getitemfeed) feed file for a specific day, category, and marketplace. (**feed\_scope** = `NEWLY_LISTED`)
*   A weekly **Item Group Bootstrap** feed file containing all the item group variation information associated with items returned in the [Item Bootstrap](/develop/api/buy/feed_beta_api#buy-feed_beta_api-item-getitemfeed) feed file for all the items in a specific category. (**feed\_scope** = `ALL_ACTIVE`)

  
**Note:** Filters are applied to the feed files. For details, see [Feed File Filters](/api-docs/buy/static/api-feed.html#feed-filters). When curating the items returned, be sure to code as if these filters are not applied as they can be changed or removed in the future.  
**Note:**The downloaded file will be gzipped automatically, so there is no reason to supply **Accept-Encoding:gzip** as a header. If this header is supplied, the downloaded file will be compressed twice, and this has no extra benefit.  
The contents of these feed files are based on the contents of the corresponding daily **Item** or **Item Bootstrap** feed file. When a new **Item** or **Item Bootstrap** feed file is generated, the service reads the file and if an item in the file has a **primaryItemGroupId** value, which indicates the item is part of an item group, it uses that value to return the item group (parent item) information for that item in the corresponding **Item Group** or **Item Group Bootstrap** feed file.  
  
This information includes the name/value pair of the aspects of the items in this group returned in the **variesByLocalizedAspects** column. For example, if the item was a shirt some of the variation names could be Size, Color, etc. Also the images for the various aspects are returned in the **additionalImageUrls** column.  
  
The first line in any feed file is the header, which labels the columns and indicates the order of the values on each line.

### **Combining the Item Group and Item feed files**

The **Item Group** or **Item Group Bootstrap** feed file contains details about the item group (parent item), including the item group ID **itemGroupId**. You match the value of **itemGroupId** from the **Item Group** feed file with the value of **primaryItemGroupId** from the corresponding daily **Item** or **Item Bootstrap** feed file.

### **Downloading feed files**

Item Group feed files are binary gzip files. If the file is larger than 100 MB, the download must be streamed in chunks. You specify the size of the chunks in bytes using the **Range** request header. The **Content-range** response header indicates where in the full resource this partial chunk of data belongs and the total number of bytes in the file. For more information about using these headers, see [Retrieve a gzip feed file](/api-docs/buy/static/api-feed_beta.html#retrv-gzip).  
  
**Note:** A successful call will always return a TSV.GZIP file; however, unsuccessful calls generate errors that are returned in JSON format. For documentation purposes, the successful call response is shown below as JSON fields so that the value returned in each column can be explained. The order of the response fields shows the order of the columns in the feed file.

### **Restrictions**

For a list of supported sites and other restrictions, see [API Restrictions](/api-docs/buy/static/api-feed_beta.html#API).
**Parameters:**
- **Accept** (string) *required*
  - The formats that the client accepts for the response.  
  
A successful call will always return a TSV.GZIP file; however, unsuccessful calls generate error codes that are returned in JSON format.  
  
**Default:** `application/json,text/tab-separated-values`
- **X-EBAY-C-MARKETPLACE-ID** (string) *required*
  - The ID of the eBay marketplace where the item is hosted. This value is case sensitive.  
  
For example:  
  `X-EBAY-C-MARKETPLACE-ID = EBAY_US`  
  
For a list of supported sites see, [API Restrictions](/api-docs/buy/static/api-feed_beta.html#API).
- **Range** (string)
  - This header specifies the range in bytes of the chunks of the gzip file being returned.  
  
**Format:** `bytes=_startpos_-_endpos_`  
  
For example, the following retrieves the first 10 MBs of the feed file.  
  
  `Range bytes=0-10485760`  
  
For more information about using this header, see [Retrieving a gzip feed file](/api-docs/buy/static/api-feed_beta.html#retrv-gzip).  
  
**Maximum:** 100 MB (10MB in the Sandbox)
- **feed_scope** (string) *required*
  - This query parameter specifies the type of file to return.  
  
**Valid Values:**

*   **NEWLY\_LISTED** - Returns the **Item Group** feed file containing the item group variation information for items in the daily [Item](/api-docs/buy/feed/resources/item/methods/getItemFeed) feed file that were associated with an item group.  
      
    The items in this type of **Item** feed file are items that were listed on the day specified by the **date** parameter in the category specified by the **category\_id** parameter.
*   **ALL\_ACTIVE** - Returns the weekly **Item Group Bootstrap** file containing the item group variation information for items in the weekly [Item Bootstrap](/api-docs/buy/feed/resources/item/methods/getItemFeed) feed file that were associated with an item group. The items are Good 'Til Cancelled items in the category specified by the **category\_id** parameter.  
      
    **Note:** Bootstrap files are generated every Tuesday and the file is available on Wednesday. However, the exact time the file is available can vary so we recommend you download the Bootstrap file on Thursday. The item groups in the file are for the items that were in the specified category on Sunday.
- **category_id** (string) *required*
  - This query parameter specifies eBay top-level category ID of the items to be returned in the feed file.  
  
The list of eBay category IDs changes over time and category IDs are not the same across all the eBay marketplaces. To get a list of the top-level categories for a marketplaces, you can use the **Taxonomy API** [getCategoryTree](/develop/api/sell/taxonomy_api#sell-taxonomy_api-category_tree-getcategorytree) method. This method retrieves the complete category tree for the marketplace. The top-level categories are identified by the **categoryTreeNodeLevel** field.  
  
**For example:**  
  `"categoryTreeNodeLevel": 1`  
  
For details see [Get Categories for Buy APIs](/api-docs/buy/buy-categories.html).  
  
**Restriction:** Must be a top-level category other than Real Estate. Items listed under Real Estate L1 categories are excluded from all feeds in all marketplaces.
- **date** (string)
  - This query parameter specifies the date of the daily **Item Group** feed file (**feed\_scope**\=`NEWLY_LISTED`) you want.

The **date** is required only for the daily **Item Group** feed file. If you specify a date for the **Item Group Bootstrap** file (**feed\_scope**\=`ALL_ACTIVE`), the date is ignored and the latest file is returned. The date the **Item Group Bootstrap** feed file was generated is returned in the **Last-Modified** response header.

The **Item Group** feed files are generated every day and there are 14 daily files available.

There is a 48 hour latency when generating the files. This means on July 10, the latest feed file you can download is July 8.

**Note:** The generated files are stored using MST (US Mountain Standard Time), which is -7 hours UTC time.  
**Format:** `yyyyMMdd`  
  
**Requirements:**

*   Required only when **feed\_scope**\=`NEWLY_LISTED`
*   Must be within 3-14 days in the past

### getItemSnapshotFeed

#### GET /item_snapshot
**Description:** The **Hourly Snapshot** feed file is generated each hour every day for most categories. This method lets you download an **Hourly Snapshot** TSV\_GZIP (tab-separated value gzip) feed file containing the details of all the items that have changed _within_ the specified day and hour for a specific category. This means to generate the 8AM file of items that have changed from 8AM and 8:59AM, the service starts at 9AM. You can retrieve the 8AM snapshot file at 10AM.  
  
Snapshot feeds now include new listings. You can check [itemCreationDate](/develop/api/buy/feed_beta_api#buy-feed_beta_api-item_snapshot-getitemsnapshotfeed.itemsnapshot.itemcreationdate) to identify listings that were newly created within the specified hour.  
  
**Note:** Filters are applied to the feed files. For details, see [Feed File Filters](/api-docs/buy/static/api-feed.html#feed-filters). When curating the items returned, be sure to code as if these filters are not applied as they can be changed or removed in the future.  
You can use the response from this method to update the item details of items stored in your database. By looking at the value of [itemSnapshotDate](/develop/api/buy/feed_beta_api#buy-feed_beta_api-item_snapshot-getitemsnapshotfeed.itemsnapshot.itemsnapshotdate) for a given item, you will be able to tell which information is the latest.  
  

**Important!** When the value of the **availability** column is `UNAVAILABLE`, only the **itemId** and **availability** columns are populated.

  
**Note:**The downloaded file will be gzipped automatically, so there is no reason to supply **Accept-Encoding:gzip** as a header. If this header is supplied, the downloaded file will be compressed twice, and this has no extra benefit.

### **Downloading feed files**

Hourly snapshot feed files are binary gzip files. If the file is larger than 100 MB, the download must be streamed in chunks. You specify the size of the chunks in bytes using the **Range** request header. The **Content-range** response header indicates where in the full resource this partial chunk of data belongs and the total number of bytes in the file. For more information about using these headers, see [Retrieving a gzip feed file](/api-docs/buy/static/api-feed_beta.html#retrv-gzip).  
  
**Note:** A successful call will always return a TSV.GZIP file; however, unsuccessful calls generate errors that are returned in JSON format. For documentation purposes, the successful call response is shown below as JSON fields so that the value returned in each column can be explained. The order of the response fields shows the order of the columns in the feed file.

### **Restrictions**

For a list of supported sites and other restrictions, see [API Restrictions](/api-docs/buy/static/api-feed_beta.html#API).
**Parameters:**
- **Accept** (string) *required*
  - The formats that the client accepts for the response.  
  
A successful call will always return a TSV.GZIP file; however, unsuccessful calls generate error codes that are returned in JSON format.  
  
**Default:** `application/json,text/tab-separated-values`
- **X-EBAY-C-MARKETPLACE-ID** (string) *required*
  - The ID of the eBay marketplace where the item is hosted. This value is case sensitive.  
  
For example:  
  `X-EBAY-C-MARKETPLACE-ID = EBAY_US`  
  
For a list of supported sites see, [API Restrictions](/api-docs/buy/static/api-feed_beta.html#API).
- **Range** (string) *required*
  - This header specifies the range in bytes of the chunks of the gzip file being returned.  
  
**Format:** `bytes=_startpos_-_endpos_`  
  
For example, the following retrieves the first 10 MBs of the feed file.  
  
  `Range bytes=0-10485760`  
  
For more information about using this header, see [Retrieving a gzip feed file](/api-docs/buy/static/api-feed_beta.html#retrv-gzip).  
  
**Maximum:** 100 MB (10MB in the Sandbox)
- **category_id** (string) *required*
  - This query parameter specifies the eBay top-level category ID of the items to be returned in the feed file.  
  
The list of eBay category IDs changes over time and category IDs are not the same across all the eBay marketplaces. To get a list of the top-level categories for a marketplace, you can use the **Taxonomy** API [getCategoryTree](/develop/api/sell/taxonomy_api#sell-taxonomy_api-category_tree-getcategorytree) method. This method retrieves the complete category tree for the marketplace. The top-level categories are identified by the **categoryTreeNodeLevel** field.  
  
**For example:**  
  `"categoryTreeNodeLevel": 1`  
  
For details see [Get Categories for Buy APIs](/api-docs/buy/buy-categories.html).  
  
**Restriction:** Must be a top-level category other than Real Estate. Items listed under Real Estate L1 categories are excluded from all feeds in all marketplaces.
- **snapshot_date** (string) *required*
  - This query parameter specifies the date and hour of the snapshot feed file you want to retrieve.  
  
Each file contains the items that changed within the hour in the specified category. So, the 9AM file contains the items that changed between 9AM and 9:59AM on the day specified. It takes 2 hours to generate a snapshot file, which means to get the file for 9AM the earliest you could submit the call is at 11AM.  
  
There are 7 days of **Hourly Snapshot** feed files available.

**Note:** The Feed API uses GMT, so you must convert your local time to GMT. For example, if you lived in California and wanted the September 15th 7pm file, you would submit the following call:  
  
`item_snapshot?category_id=625&snapshot_date=2017-09-16T02:00:00.000Z`

**Format:** UTC `yyyy-MM-ddThh:00:00.000Z`  
  
**Note:** Files are generated on the hour, so minutes and seconds are _always_ zeros.

### getItemPriorityFeed

#### GET /item_priority
**Description:** Using this method, you can download a TSV\_GZIP (tab separated value gzip) **Item Priority** feed file, which allows you to track changes (deltas) in the status of your priority items, such as when an item is added or removed from a campaign. The delta feed tracks the changes to the status of items within a category you specify in the input URI. You can also specify a specific date for the feed you want returned.  
  

**Important!** You must consume the daily feeds (**Item**, **Item Group**) before consuming the **Item Priority** feed. This ensures that your inventory is up to date.

  
**Note:** The downloaded file will be gzipped automatically, so there is no reason to supply **Accept-Encoding:gzip** as a header. If this header is supplied, the downloaded file will be compressed twice, and this has no extra benefit.

### **Downloading feed files**

**Note:** Filters are applied to the feed files. For details, see [Feed File Filters](/api-docs/buy/static/api-feed_beta.html#feed-filters). When curating the items returned, be sure to code as if these filters are not applied as they can be changed or removed in the future.  
Priority Item feed files are binary gzip files. If the file is larger than 100 MB, the download must be streamed in chunks. You specify the size of the chunks in bytes using the **Range** request header. The **Content-range** response header indicates where in the full resource this partial chunk of data belongs and the total number of bytes in the file. For more information about using these headers, see [Retrieve a gzip feed file](/api-docs/buy/static/api-feed_beta.html#retrv-gzip).  
  
In addition to the API, there is an open source [Feed SDK](<https://github.com/eBay/FeedSDK >) written in Java that downloads, combines files into a single file when needed, and unzips the entire feed file. It also lets you specify field filters to curate the items in the file.  
  
**Note:** A successful call will always return a TSV.GZIP file; however, unsuccessful calls generate errors that are returned in JSON format. For documentation purposes, the successful call response is shown below as JSON fields so that the value returned in each column can be explained. The order of the response fields shows the order of the columns in the feed file.

### **Restrictions**

For a list of supported sites and other restrictions, see [API Restrictions](/api-docs/buy/static/api-feed_beta.html#API).
**Parameters:**
- **Accept** (string) *required*
  - The formats that the client accepts for the response.  
  
A successful call will always return a TSV.GZIP file; however, unsuccessful calls generate error codes that are returned in JSON format.  
  
**Default:** `application/json,text/tab-separated-values`
- **X-EBAY-C-MARKETPLACE-ID** (string) *required*
  - The ID of the eBay marketplace where the item is hosted. This value is case sensitive.  
  
For example:  
  `X-EBAY-C-MARKETPLACE-ID = EBAY_US`  
  
For a list of supported sites see, [Buy API Support by Marketplace](/api-docs/buy/static/ref-marketplace-supported.html).
- **Range** (string) *required*
  - Header specifying content range to be retrieved. Only supported range is bytes.  
  
**Example** : `bytes = 0-102400`.
- **category_id** (string) *required*
  - This query parameter specifies the eBay top-level category ID of the items to be returned in the feed file.  
  
The list of eBay category IDs changes over time and category IDs are not the same across all the eBay marketplaces. To get a list of the top-level categories for a marketplaces, you can use the Taxonomy API [getCategoryTree](/api-docs/commerce/taxonomy/resources/category_tree/methods/getCategoryTree) method. This method retrieves the complete category tree for the marketplace. The top-level categories are identified by the **categoryTreeNodeLevel** field.  
  
**For example:**  
  `"categoryTreeNodeLevel": 1`  
  
For details see [Get the eBay categories of a marketplace](/api-docs/buy/api-feed.html#Getcat).  
  
**Restriction:** Must be a top-level category other than Real Estate. Items listed under Real Estate L1 categories are excluded from all feeds in all marketplaces.
- **date** (string) *required*
  - This query parameter specifies the date of the feed you want returned.  
  
This can be up to 14 days in the past but cannot be set to a date in the future.  
  
**Format:** `yyyyMMdd`  
  
**Note:** The daily **Item** feed files are available each day after 9AM MST (US Mountain Standard Time), which is -7 hours UTC time.  
  
There is a 48 hour latency when generating the **Item** feed files. This means you can download the file for July 10th on July 12 after 9AM MST.  
  
For categories with a large number of items, the latency can be up to 72 hours.

## Error Codes

The following error codes may be returned by this API:

### REQUEST Errors

#### 13000 - API_FEED
**Description:** The request contains data that is invalid. Correct the request and submit the call again. For help, see the API Reference documentation for this call.

#### 13003 - API_FEED
**Description:** The 'feed\_scope' {feed\_scope} submitted is invalid. Valid values: {feedScopes}

#### 13004 - API_FEED
**Description:** The 'category\_id' {category\_id} submitted is invalid. See the API documentation for help on how to find category IDs.

#### 13005 - API_FEED
**Description:** The 'date' {feedDate} submitted is invalid. Either the date format is wrong, or the files are not available for the specific date. Valid values: {earliestDate} to {latestDate} in the past. The format is yyyyMMdd.

#### 13007 - API_FEED
**Description:** The feed file requested cannot be found. It is possible the file requested is in the process of being generated. Either change the date or try the call again later.

#### 13009 - API_FEED
**Description:** The mandatory 'feed\_scope' query parameter is missing. Valid values: {feedScopes}

#### 13010 - API_FEED
**Description:** The mandatory 'category\_id' query parameter is missing.

#### 13011 - API_FEED
**Description:** The mandatory 'date' query parameter is missing. Valid values: {earliestDate} to {latestDate} days in the past. The format is yyyyMMdd.

#### 13012 - API_FEED
**Description:** The marketplace Id {marketplaceId} is invalid. Valid values: {allowedMarketplaces}

#### 13013 - API_FEED
**Description:** The mandatory 'X-EBAY-C-MARKETPLACE-ID' header is missing. Valid values: {allowedMarketplaces}

#### 13014 - API_FEED
**Description:** The marketplace Id {marketplaceId} is not supported. Valid values: {allowedMarketplaces}

#### 13015 - API_FEED
**Description:** The mandatory 'Range' request header is missing. For help, see the API Reference documentation for this call.

#### 13016 - API_FEED
**Description:** The 'Range' request header format is invalid. Format: 'bytes=start position-end position'. For help, see the API Reference documentation for this call.

#### 13017 - API_FEED
**Description:** The 'Range' header is invalid. Please verify that the start and end positions are correct. For help, see the API Reference documentation for this call.

#### 13018 - API_FEED
**Description:** The start position in the range header is invalid.

#### 13019 - API_FEED
**Description:** The end position in the range header is invalid.

#### 13022 - API_FEED
**Description:** The 'category\_id' {category\_id} submitted is not supported.

#### 13020 - API_FEED
**Description:** The mandatory 'snapshot\_date' query parameter is missing.

#### 13021 - API_FEED
**Description:** The 'snapshot\_date' query parameter is invalid.Valid format is 'yyyy-MM-ddTHH:mm:ss'

### BUSINESS Errors

#### 13023 - API_FEED
**Description:** Insufficient permissions to access this API for the marketplace {marketplaceId}. Please contact eBay Technical Support for further assistance.

#### 13024 - API_FEED
**Description:** Insufficient permissions to access this API for the category {category\_id}. Please contact eBay Technical Support for further assistance.

### APPLICATION Errors

#### 13006 - API_FEED
**Description:** There was a problem with an eBay internal system or process. Wait a few minutes and retry the call. If that doesn't work, contact eBay Support.

## Rate Limits

See [API Call Limits](https://developer.ebay.com/develop/get-started/api-call-limits) on the eBay Developer Program.

## Resources

### Documentation

- [eBay Developer Program](https://developer.ebay.com/)
- [API Documentation](https://developer.ebay.com/develop/api/)
- [SDKs and Widgets](https://developer.ebay.com/develop/sdks-and-widgets)
- [Developer Community Forum](https://community.ebay.com/t5/Developer-Groups/ct-p/developergroup)

### Tools

- [API Explorer](https://developer.ebay.com/my/api_test_tool)
- [GraphQL Explorer](https://developer.ebay.com/my/graphql_explorer)

### Support

- [Developer Support](https://developer.ebay.com/support/)
- [API Status](https://developer.ebay.com/support/api-status)
- [Release Notes](https://developer.ebay.com/develop/api/release_notes/)

---
*Generated on 2026-07-08T04:44:49.498Z*